axis-java-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jeremy Boynes <jboy...@apache.org>
Subject Re: [Axis2] Release Plan Revisited
Date Wed, 27 Sep 2006 19:51:41 GMT
On Sep 27, 2006, at 9:31 AM, Thilina Gunarathne wrote:

> Hi,
>
>> We also have an issue with XmlSchema using the older version of stax-
>> api.
> AFAIK XmlSchema uses the stax-api only for the QName.  The difference
> between two versions of stax-api is just one method signature change,
> which IMHO does not affect at all for the XmlSchema.. I'm pretty sure
> XmlSchema will work absolutely fine with the stax-api-1.0.1.jar,
> meaning we can use stax-api-1.0.1.jar & XmlSchema-1.1.jar with Axis2
> 1.1.

Yes. The problem is that dependency resolution in Maven2 resulted in  
the selection of stax 1.0 rather than 1.0.1 causing axiom to break  
because it now needs the newer API. A change has been made in  
XmlSchema's trunk so that it no longer gets QName etc. from stax-api  
but from ws-commons-java5.

>> This has been fixed in trunk by replacing the dependency on stax-
>> api with one on ws-commons-java5 but not yet released.
>
> This is not clear to me... I couldn't find any dependency on
> ws-commons- java5 inside Axis2.

XmlSchema now depends on ws-commons-java5 and so Axis2 gets it  
transitively.

--
Jeremy


---------------------------------------------------------------------
To unsubscribe, e-mail: axis-dev-unsubscribe@ws.apache.org
For additional commands, e-mail: axis-dev-help@ws.apache.org


Mime
View raw message